---
title: Analytics API
description: "The **Analytics API** provides information about an individual seller’s business through different report and data gathering resources: * Customer service metric ratings and benchmark data * The Traffic Report * The Seller Standard Profiles Report"
api_version: 1.0
api_name: analytics_api
api_type: REST
api_group: sell/analytics_api
source_url:
  html: https://developer.ebay.com/develop/api/sell/analytics_api
  md: https://developer.ebay.com/develop/api/sell/analytics_api.md
---

# Analytics API API

The **Analytics API** provides information about an individual seller’s business through different report and data gathering resources:

*   Customer service metric ratings and benchmark data
*   The Traffic Report
*   The Seller Standard Profiles Report

## API Methods

The following API methods are available:

### getCustomerServiceMetric

#### GET /customer_service_metric/{customer_service_metric_type}/{evaluation_type}
**Description:** Use this method to retrieve a seller's performance and rating for the customer service metric.  
  
Control the response from the **getCustomerServiceMetric** method using the following path and query parameters:

*   **customer\_service\_metric\_type** controls the type of customer service transactions evaluated for the metric rating.
*   **evaluation\_type** controls the period you want to review.
*   **evaluation\_marketplace\_id** specifies the target marketplace for the evaluation.

Currently, metric data is returned for only peer benchmarking. For details on the workings of peer benchmarking, see [Service metrics policy](https://www.ebay.com/help/policies/selling-policies/seller-performance-policy/service-metrics-policy?id=4769 "eBay Help pages").  
  
For details on using and understanding the response from this method, see [Interpreting customer service metric ratings](/api-docs/sell/static/performance/customer-service-metric.html "Selling Integration Guide").
**Parameters:**
- **customer_service_metric_type** (string) *required*
  - Use this path parameter to specify the type of customer service metrics and benchmark data you want returned for the seller. Supported types are:  

*   `ITEM_NOT_AS_DESCRIBED`
*   `ITEM_NOT_RECEIVED`
- **evaluation_marketplace_id** (string) *required*
  - Use this query parameter to specify the Marketplace ID to evaluate for the customer service metrics and benchmark data.  
  
For the list of supported marketplaces, see [Analytics API requirements and restrictions](/api-docs/sell/static/performance/analyzing-performance.html#restrictions).
- **evaluation_type** (string) *required*
  - Use this path parameter to specify the evaluation period to use for the performance metrics. See [EvaluationTypeEnum](/develop/api/sell/analytics_api#sell-analytics_api-customer_service_metric-getcustomerservicemetric.evaluationtypeenum) for more information on the supported values.

### findSellerStandardsProfiles

#### GET /seller_standards_profile
**Description:** This call retrieves all the standards profiles for the associated seller.  
  
A _standards profile_ is a set of eBay seller metrics and the seller's associated compliance values (either `TOP_RATED`, `ABOVE_STANDARD`, or `BELOW_STANDARD`).  
  
A seller's multiple profiles are distinguished by two criteria, a "program" and a "cycle." A profile's _program_ is one of three regions where the seller may have done business, or `PROGRAM_GLOBAL` to indicate all marketplaces where the seller has done business. The _cycle_ value specifies whether the standards compliance values were determined at the last official eBay evaluation or at the time of the request.  
  
For more information on the interpreting the response payload of this method, see [Seller standards profile](/api-docs/sell/static/performance/seller-standards.html).

### getSellerStandardsProfile

#### GET /seller_standards_profile/{program}/{cycle}
**Description:** This call retrieves a single standards profile for the associated seller.  
  
A _standards profile_ is a set of eBay seller metrics and the seller's associated compliance values (either `TOP_RATED`, `ABOVE_STANDARD`, or `BELOW_STANDARD`).  
  
A seller can have multiple profiles distinguished by two criteria, a "program" and a "cycle." A profile's _program_ is one of three regions where the seller may have done business, or `PROGRAM_GLOBAL` to indicate all marketplaces where the seller has done business. The _cycle_ value specifies whether the standards compliance values were determined at the last official eBay evaluation (`CURRENT`) or at the time of the request (`PROJECTED`). Both cycle and a program values are required URI parameters for this method.  
  
For more information on the interpreting the response payload of this method, see [Seller standards profile](/api-docs/sell/static/performance/seller-standards.html).
**Parameters:**
- **cycle** (string) *required*
  - This path parameter is used to specify the cycle for which metrics and metadata will be retrieved.  
  
See [CycleTypeEnum](/develop/api/sell/analytics_api#sell-analytics_api-seller_standards_profile-getsellerstandardsprofile.cycletypeenum) for a list of supported values.
- **program** (string) *required*
  - This path parameter is used to specify the seller standards program for which metrics and metadata will be retrieved.  
  
See [ProgramEnum](/develop/api/sell/analytics_api#sell-analytics_api-seller_standards_profile-getsellerstandardsprofile.programenum) for a list of supported values.

### getTrafficReport

#### GET /traffic_report
**Description:** This method returns a report that details the user traffic received by a seller's listings.  
  
A traffic report gives sellers the ability to review how often their listings appeared on eBay, how many times their listings are viewed, and how many purchases were made. The report also returns the report's start and end dates, and the date the information was last updated.  
  
For more information, see [Traffic report details](/api-docs/sell/static/performance/traffic-report.html)
**Parameters:**
- **dimension** (string) *required*
  - This query parameter specifies the _dimension_, or "attribute," that is applied to the report **metric**.  
  
**Valid values:** `DAY` or `LISTING`  
  
**Examples**

*   If you specify `dimension=DAY` and `metric=CLICK_THROUGH_RATE`, the traffic report contains the number of times an item displayed on a search results page and the buyer clicked through to the View Item page for each day in the date range, as in:  
    `12-06-17: 32, 12-07-17: 54, ...`
*   If you specify `dimension=LISTING` and `metric=LISTING_IMPRESSION_STORE`, the traffic report contains the number of times that listing appeared on the seller's store during the specified date range.  
      
    For example, `LISTING_IMPRESSION_STORE: 157` means the item appeared 157 times in the store during the date range.
*   If you specify `dimension=LISTING` without specifying any **listing\_ids** in the parameter filter, the traffic report returned in the response contains a maximum of 200 listings.
- **filter** (string) *required*
  - This query parameter refines the information returned in the traffic report.  

**Note:** URL encode all the values you supply in the **filter** parameter. See **URL encoding query parameter values** as described in [URL parameters](/api-docs/static/rest-request-components.html#parameters).

Configure the following properties of the **filter** parameter to tune the traffic report to your needs:

*   **date\_range**  
    Limits the report to the specified range of dates. This value can be formatted in one of two ways depending on the user's time zone.
    
    *   **For America/Los\_Angeles time zone**, input the date range using `YYMMDD` format. As this is the default time zone used for timestamps in the report, the time zone does not need to be specified. Enclose the earliest date and end date for the report in brackets ("`[ ]`"), as follows:  
          
        `[YYYYMMDD..YYYYMMDD]`  
          
        For example:  
        
        \[20240101..20240131\]
        
    *   **For all other time zones**, input the date range using [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html) format, and specify the time zone using a UTC offset. A time zone offset is a positive or negative value that represents the number of hours a time zone is from UTC (see [UTC Time Zone Converter](https://www.utctime.net/utc-time-zone-converter) for offset values for your time zone). Enclose the earliest date and end date for the report in brackets ("`[ ]`"), as follows:  
          
        `[yyyy-MM-dd'T'HH:mm:ss.SSS+|-hh:mm..yyyy-MM-dd'T'HH:mm:ss.SSS+|-hh:mm]`  
          
        For example:  
        
        \[2024-01-01T02:00:00.000-05:00..2024-01-31T02:00:00.000-05:00\]
        
        **Note:** All time values entered in this format will be dropped, and will be replaced with `00:00:00.000` for **startDate** and `23:59:59.000` for **endDate** in the response body.
    
    The maximum range between the start and end dates is 90 days, and the earliest start date you can specify is two years prior to the current date, which is defined as 730 days (365 \* 2), not accounting for Leap Year.  
      
    The last date for which traffic data exists is a value called **lastUpdatedDate**. eBay returns an error if you specify a date range greater than 90 days, or the start date is after the lastUpdatedDate. If the specified end date is beyond the lastUpdatedDate, eBay returns data up to the lastUpdatedDate.  
      
    **Required:** Always
*   **listing\_ids**  
    This filter limits the results to only the supplied list of **listingId** values.  
      
    **Note:** If you specify `dimension=LISTING` without specifying any listing\_ids in this parameter, the traffic report returned in the response contains a maximum of 200 listings.  
    You can specify to 200 different **listingId** values. Enclose the list of IDs with curly braces ("`{ }`"), and separate multiple values with a pipe character ("`|`").  
      
    This filter only returns data for listings that have been either active or sold in last 90 days, and any unsold listings in the last 30 days. All listings must be the seller's and they must be listed on the marketplace specified by the **marketplace\_ids** filter argument.
*   **marketplace\_ids**  
    This filter limits the report to seller data related to only the specified marketplace ID (currently the filter allows only a single marketplace ID). Enclose the marketplace ID in curly braces ("`{ }`").  
      
    **Valid values:**
    
    *   `EBAY_AU`
    *   `EBAY_DE`
    *   `EBAY_ES`
    *   `EBAY_FR`
    *   `EBAY_GB`
    *   `EBAY_IT`
    *   `EBAY_US`
    *   `EBAY_MOTORS_US`
    
      
    _Required if_ you set the **dimension** parameter to `DAY`.

  
**Example filter parameter**  
The following example shows how to configure the **filter** parameter with the **marketplace\_ids** and **date\_range** filters:

`filter=marketplace_ids:{EBAY_US},date_range:[20170601..20170828]`  
  
Encoding this portion of the query parameter sample yields:

`filter=marketplace_ids:%7BEBAY_US%7D,date_range:%5B20230601..20230828%5D`
- **metric** (string) *required*
  - This query parameter specifies the metrics you want covered in the report.  

**Note:** Unlike names for parameters and enumerated values, metric values are not case sensitive.

**Valid values:**

*   [CLICK\_THROUGH\_RATE](/api-docs/sell/static/performance/traffic-report.html#click_through_rate)
*   [LISTING\_IMPRESSION\_SEARCH\_RESULTS\_PAGE](/api-docs/sell/static/performance/traffic-report.html#listing_impression_search_results_page)
*   [LISTING\_IMPRESSION\_STORE](/api-docs/sell/static/performance/traffic-report.html#listing_impression_store)
*   [LISTING\_IMPRESSION\_TOTAL](/api-docs/sell/static/performance/traffic-report.html#listing_impression_total)
*   [LISTING\_VIEWS\_SOURCE\_DIRECT](/api-docs/sell/static/performance/traffic-report.html#listing_views_source_direct)
*   [LISTING\_VIEWS\_SOURCE\_OFF\_EBAY](/api-docs/sell/static/performance/traffic-report.html#listing_views_source_off_ebay)
*   [LISTING\_VIEWS\_SOURCE\_OTHER\_EBAY](/api-docs/sell/static/performance/traffic-report.html#listing_views_source_other_ebay)
*   [LISTING\_VIEWS\_SOURCE\_SEARCH\_RESULTS\_PAGE](/api-docs/sell/static/performance/traffic-report.html#listing_views_source_search_results_page)
*   [LISTING\_VIEWS\_SOURCE\_STORE](/api-docs/sell/static/performance/traffic-report.html#listing_views_source_store)
*   [LISTING\_VIEWS\_TOTAL](/api-docs/sell/static/performance/traffic-report.html#listing_views_total)
*   [SALES\_CONVERSION\_RATE](/api-docs/sell/static/performance/traffic-report.html#sales_conversion_rate)
*   [TOTAL\_IMPRESSION\_TOTAL](/api-docs/sell/static/performance/traffic-report.html#total_impression_total)
*   [TRANSACTION](/api-docs/sell/static/performance/traffic-report.html#transaction)

Specify a comma-separated list of the metrics to include them in the report. See [Using different metric parameters](/api-docs/sell/static/performance/traffic-report.html#metric-parameters) for more information including detailed metric descriptions and localized names.
- **sort** (string)
  - This query parameter sorts the report on the specified metric.  
  
You can only specify a single metric in the sort parameter and the specified metric must be included in the configuration of the report's [metric](#metrics) parameter.  
  
Sorting is helpful when you want to review how a specific metric is performing, such as the CLICK\_THROUGH\_RATE.  
  
Most reports can be sorted in ascending or descending order. Precede the value of a descending-order request with a minus sign ("`-`"), for example: `sort=-CLICK_THROUGH_RATE`.  
  
**Note:** There are a couple of constraints on sorting the report by different metrics:

*   Sorting on the `SALES_CONVERSION_RATE` metric is not supported
*   The `TRANSACTION` metric can only be sorted in the descending order (sorting in the ascending order is not supported).

## Error Codes

The following error codes may be returned by this API:

### REQUEST Errors

#### 54401 - API_ANALYTICS
**Description:** The specified marketplace ID is not a supported marketplace. For a complete list of the supported marketplace IDs, see the documentation.

#### 54400 - API_ANALYTICS
**Description:** The specified customer service metric type is not a valid type. Valid metric types are ITEM\_NOT\_AS\_DESCRIBED or ITEM\_NOT\_RECEIVED.

#### 54402 - API_ANALYTICS
**Description:** The specified evaluation type is not a valid type. Valid evaluation types are CURRENT or PROJECTED.

#### 53100 - API_ANALYTICS
**Description:** Program Id cannot be empty.

#### 53105 - API_ANALYTICS
**Description:** Invalid program Id {programId}

#### 53110 - API_ANALYTICS
**Description:** Cycle Id cannot be empty.

#### 53115 - API_ANALYTICS
**Description:** Invalid cycle Id {cycleId}

#### 50001 - API_ANALYTICS
**Description:** Invalid dimension specified. For help, see the documentation.

#### 50002 - API_ANALYTICS
**Description:** Invalid metric {metricName} specified. For help, see the documentation.

#### 50003 - API_ANALYTICS
**Description:** Invalid date range. End date must be before or equal to start date.

#### 50004 - API_ANALYTICS
**Description:** Invalid date range. Start date must be before or equal to end date.

#### 50005 - API_ANALYTICS
**Description:** No filter is specified, which is required. For help, see the documentation.

#### 50006 - API_ANALYTICS
**Description:** The sort field value {sortField} is not supported.

#### 50008 - API_ANALYTICS
**Description:** The call requires at least one metric. For help, see the documentation.

#### 50009 - API_ANALYTICS
**Description:** The call requires at least one URI query parameter. For help, see the documentation.

#### 50013 - API_ANALYTICS
**Description:** Invalid date range format - Start Date. The format is yyyyMMdd.

#### 50014 - API_ANALYTICS
**Description:** Invalid date range format - End Date. The format is yyyyMMdd.

#### 50018 - API_ANALYTICS
**Description:** Neither the start date nor the end date can be in the future.

#### 50021 - API_ANALYTICS
**Description:** Invalid filter field {filterField} specified.

#### 50022 - API_ANALYTICS
**Description:** Specify at least one marketplace ID.

#### 50023 - API_ANALYTICS
**Description:** The marketplace ID {marketplaceId} is not supported by this call. For help, see the documentation.

#### 50024 - API_ANALYTICS
**Description:** The marketplace ID {marketplaceId} is not valid.

#### 50025 - API_ANALYTICS
**Description:** The start date is too far in the past. The start date must be less than or equal to {maxStartDateInThePast}.

#### 50026 - API_ANALYTICS
**Description:** The date range is too long. The date range must be less than or equal to {maxDateWindow}.

#### 50027 - API_ANALYTICS
**Description:** The 'listing\_id' value is empty.

#### 50028 - API_ANALYTICS
**Description:** The maximum number of listing IDs has been exceeded. The maximum number of listing IDs is {maxListingIdsNumber}.

#### 50029 - API_ANALYTICS
**Description:** Invalid listing ID {listingId}.

#### 50030 - API_ANALYTICS
**Description:** Data for the listing ID {listingId} could not be found.

#### 50031 - API_ANALYTICS
**Description:** Date range is required.

#### 50033 - API_ANALYTICS
**Description:** Invalid date range filter format {invalidDateRangeFilter}.

#### 50034 - API_ANALYTICS
**Description:** Invalid listing ids filter format {invalidListingIdsFilter}.

#### 50035 - API_ANALYTICS
**Description:** Requested sort field is not part of the list of metrics requested.

#### 50036 - API_ANALYTICS
**Description:** {sortOrder} sort order is not supported for {sortField} metric.

#### 50037 - API_ANALYTICS
**Description:** The Metric {metricName} does not have data available for the requested date range.

#### 50600 - API_ANALYTICS
**Description:** Data for the listing Ids {delayedListingIds} is not yet updated to {endDate}

### BUSINESS Errors

#### 54200 - API_ANALYTICS
**Description:** The specified customer service metric is not available for the provided evaluation type and marketplace. Possible error causes are (1) Customer Service Metric values are not returned if the Seller does not have a valid transaction on the specified marketplace during the past 12 months or (2) sellers can retrieve CURRENT values only after they have been active on the specified marketplace for a complete benchmarking period.

### APPLICATION Errors

#### 54000 - API_ANALYTICS
**Description:** There was a problem with an eBay internal system or process. Contact eBay developer support for assistance.

#### 62000 - GENERIC
**Description:** There was a problem with an eBay internal system or process. Contact eBay developer support for assistance.

#### 53120 - API_ANALYTICS
**Description:** Internal server error. Wait a few minutes and try the call again. If error persists contact the eBay Developer Program.

#### 50032 - API_ANALYTICS
**Description:** We are unable to process data for accounts, like this one, which have listed in more than a few thousand leaf categories in the past couple years.

#### 50050 - API_ANALYTICS
**Description:** We are doing some maintenance and cannot show all your information right now. We are still tracking everything, and you will see your updated stats soon.

#### 50500 - API_ANALYTICS
**Description:** Internal server error. Wait a few minutes and try the call again. If error persists contact the eBay Developer Program.

## Rate Limits

See [API Call Limits](https://developer.ebay.com/develop/get-started/api-call-limits) on the eBay Developer Program.

## Resources

### Documentation

- [eBay Developer Program](https://developer.ebay.com/)
- [API Documentation](https://developer.ebay.com/develop/api/)
- [SDKs and Widgets](https://developer.ebay.com/develop/sdks-and-widgets)
- [Developer Community Forum](https://community.ebay.com/t5/Developer-Groups/ct-p/developergroup)

### Tools

- [API Explorer](https://developer.ebay.com/my/api_test_tool)
- [GraphQL Explorer](https://developer.ebay.com/my/graphql_explorer)

### Support

- [Developer Support](https://developer.ebay.com/support/)
- [API Status](https://developer.ebay.com/support/api-status)
- [Release Notes](https://developer.ebay.com/develop/api/release_notes/)

---
*Generated on 2026-07-08T04:22:04.431Z*